package com.iamberry.wechat.core.entity.agent;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 微代理会员中心 实体类
 * 2016年4月20日
 * @author 穆再兴
 *
 */
public class AgentMemberDto implements Serializable{
	private static final long serialVersionUID = 1137540642134509956L;

	private Integer userId;					//会员ID
	
	private String userOpenid;				//用户openid
	
	private String userHead;				//用户头像
	
	private String userNickname;			//用户昵称
	
	private Integer userSurplusIntegral;	//剩余积分

	private Integer userPendIntegral;	//待入积分
	
	private Integer userIncome;				//收入金额，单位为分
	
	private int willIncome; 				//待返还金额，单位元
	
	private Integer userIdentity;			//会员身份		1:会员   2:微代理
	
	private Integer applyIsRead;			//是否已读	 	1:已读	2:未读

	private Integer userStatus;				//用户状态		1:未关注，默认  2:已关注     0:已取消关注

	private Integer userIsVip;				//是否为vip ：1:非vip  2：vip

	private String userTel;					//用户电话
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
	private Date userBirthDate;				//生日
	private String userName;				//姓名
	private Integer userSex;				//用户性别		default 1; 1:男   2:女   0:未知
	
	private OrderStatusDto orderStatusDto;	//订单状态

	private Integer couponCount;	//优惠券数量

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getUserOpenid() {
		return userOpenid;
	}

	public void setUserOpenid(String userOpenid) {
		this.userOpenid = userOpenid;
	}

	public String getUserHead() {
		return userHead;
	}

	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}

	public String getUserNickname() {
		return userNickname;
	}

	public void setUserNickname(String userNickname) {
		this.userNickname = userNickname;
	}

	public Integer getUserSurplusIntegral() {
		return userSurplusIntegral;
	}

	public void setUserSurplusIntegral(Integer userSurplusIntegral) {
		this.userSurplusIntegral = userSurplusIntegral;
	}

	public Integer getUserIncome() {
		return userIncome;
	}
	public void setUserIncome(Integer userIncome) {
		this.userIncome = userIncome;
	}

	public int getWillIncome() {
		return willIncome;
	}

	public void setWillIncome(int willIncome) {
		this.willIncome = willIncome;
	}

	public Integer getUserIdentity() {
		return userIdentity;
	}

	public void setUserIdentity(Integer userIdentity) {
		this.userIdentity = userIdentity;
	}

	public Integer getApplyIsRead() {
		return applyIsRead;
	}

	public void setApplyIsRead(Integer applyIsRead) {
		this.applyIsRead = applyIsRead;
	}

	public OrderStatusDto getOrderStatusDto() {
		return orderStatusDto;
	}

	public void setOrderStatusDto(OrderStatusDto orderStatusDto) {
		this.orderStatusDto = orderStatusDto;
	}

	public Integer getUserStatus() {
		return userStatus;
	}

	public void setUserStatus(Integer userStatus) {
		this.userStatus = userStatus;
	}

	public Integer getUserPendIntegral() {
		return userPendIntegral;
	}

	public void setUserPendIntegral(Integer userPendIntegral) {
		this.userPendIntegral = userPendIntegral;
	}

	public Integer getUserIsVip() {
		return userIsVip;
	}

	public void setUserIsVip(Integer userIsVip) {
		this.userIsVip = userIsVip;
	}

	public String getUserTel() {
		return userTel;
	}

	public void setUserTel(String userTel) {
		this.userTel = userTel;
	}

	public Date getUserBirthDate() {
		return userBirthDate;
	}

	public void setUserBirthDate(Date userBirthDate) {
		this.userBirthDate = userBirthDate;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getUserSex() {
		return userSex;
	}

	public void setUserSex(Integer userSex) {
		this.userSex = userSex;
	}

	public Integer getCouponCount() {
		return couponCount;
	}

	public void setCouponCount(Integer couponCount) {
		this.couponCount = couponCount;
	}

	@Override
	public String toString() {
		return "AgentMemberDto [userId=" + userId + ", userOpenid="
				+ userOpenid + ", userHead=" + userHead + ", userNickname="
				+ userNickname + ", userSurplusIntegral=" + userSurplusIntegral
				+ ", userIncome=" + userIncome + ", willIncome=" + willIncome
				+ ", userIdentity=" + userIdentity + ", applyIsRead="
				+ applyIsRead + ", orderStatusDto=" + orderStatusDto + "]";
	}
}
